Page MenuHomePhabricator

edje: add json file support feature
ClosedPublic

Authored by jsuya on Jan 29 2020, 1:51 AM.

Details

Summary

It also starts to support following new edc properties.
This is backported patch from Tizen 5.0

  1. frame

desc { "default"

vector {
   frame: 0.5; // 0.0 ~ 1.0
}

}

  1. actions

program { "vector_animation";

// VG_ANIM_PLAY, VG_ANIM_PLAY_BACK, VG_ANIM_LOOP,
// VG_ANIM_STOP, VG_ANIM_PAUSE, VG_ANIM_RESUME
action: VG_ANIM_PLAY;
target: "your_vector_part";

}

@feature

Co-authored-by: Jaehyun Cho <jae_hyun.cho@samsung.com>

  • Fix to remove Efl.Canvas.Animation_Player on edje
Test Plan




make and test attached file

edje_cc -beta -id ./ json_edc.edc json.edj
gcc -o test test_edc.c -g pkg-config --cflags --libs evas elementary rlottie
./test

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Jan 29 2020, 1:51 AM
jsuya requested review of this revision.Jan 29 2020, 1:51 AM
jsuya planned changes to this revision.Jan 29 2020, 1:57 AM

This patch has a dependency on the json loader.
Preparing a patch to cover it.

jsuya edited the test plan for this revision. (Show Details)Jan 29 2020, 2:03 AM
jsuya requested review of this revision.Jan 29 2020, 3:42 AM

In D11230, Disabled this feature when the json loader was disabled.
This patch should be reviewed together.

raster added a subscriber: raster.Jan 29 2020, 4:33 AM

overall cool - see your other patch with the json ifdefs for my one disagreement. :)

Hermet requested changes to this revision.Jan 31 2020, 1:28 AM

Please check my comment.

src/bin/edje/edje_cc_handlers.c
15791

How about VG_ANIM_REWIND instead of VG_ANIM_PLAY_BACK ?

This revision now requires changes to proceed.Jan 31 2020, 1:28 AM
segfaultxavi added inline comments.
src/bin/edje/edje_cc_handlers.c
15791

For consistency with Efl.Ui.Vg_Animation_State, why not VG_ANIM_PLAY_BACKWARDS?

Hermet added inline comments.Feb 2 2020, 7:31 PM
src/bin/edje/edje_cc_handlers.c
15791

We exactly needs REWIND function that rewind current play to initialize state. not, backward play.

Hermet added inline comments.Feb 2 2020, 7:35 PM
src/bin/edje/edje_cc_handlers.c
15791

Thus if user needs to cancel current animation playing and rewind current play to init state. => REWIND (x to 0)
But we can imagine BACKWARD is animation play in reverse way (1 to 0)
Maybe we can provide both but I have no idea BACKWARD is necessary practically yet.

segfaultxavi added inline comments.Feb 3 2020, 12:25 AM
src/bin/edje/edje_cc_handlers.c
15791

Ahhh, OK, I misunderstood it. Ignore my comment then :)

jsuya updated this revision to Diff 29088.Feb 17 2020, 12:23 AM
jsuya edited the test plan for this revision. (Show Details)

Update code
PLAY_BACK -> REWIND

jsuya updated this revision to Diff 29090.Feb 17 2020, 12:26 AM

modify code

Hermet accepted this revision.Feb 17 2020, 1:55 AM
This revision is now accepted and ready to land.Feb 17 2020, 1:55 AM
This revision was automatically updated to reflect the committed changes.